Subject: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: martin rudalics <[email-masked]>
Date: Mon, 10 Feb 2025 16:51:16 +0100

From what I tried so far I can't enter submenus.  But the fonts are>> Debugger entered--Lisp error: (void-function cond*)
 >
 > Is that an Emacs <= 30? In master, cond* is fboundp and autoloaded.

Probably.  It doesn't happen any more.

 > BTW, I made a branch here on my side today because things won't work
 > without a small addition to the C core, a hook that I called
 > x-popup-menu-function. Reason being that C calls x_popup_menu_1 which is
 > not exposed to Lisp.
 >
 > It's still a bit early, I'll holler when I think I have something
 > more or less usable.

Thanks, martin